Subject: Re: 23.0.95; facemenu-read-color should not require match
From: Chong Yidong <[email-masked]>
To: Jay Berkenbilt <[email-masked]>
Cc: [email-masked]
Date: Sun, 16 Aug 2009 01:27:35 -0400

>   M-x set-cursor-color RET #9ef RET
>
>   -> [no match]
>
> The same thing happens with set-foreground-color and
> set-background-color, all of which call facemenu-read-color, but not
> with set-face-foreground and set-face-background, which do not.  All
> above mentioned functions do completing reads on color names, which is
> appropriate, but they should also accept #xxx, #xxxxxx, rgb:xx/xx/xx,
> etc.  If you do M-: (set-cursor-color "#9ef"), it works, so this is
> clearly a case of the wrong kind of completing read being done.

Thanks for the bug report.  I've hacked up the completion function so
that it allows any defined colors, including RGB triplets.